Loading...
Searching...
No Matches
juce::MarkerList::Marker Class Reference

## Detailed Description

Represents a marker in a MarkerList.

The documentation for this class was generated from the following file:

- juce_gui_basics/positioning/juce_MarkerList.h

## Public Member Functions

| Marker (const Marker &)
| Creates a copy of another Marker.
| Marker (const String &name, const RelativeCoordinate &position)
| Creates a Marker with a given name and position.
bool | operator== (const Marker &) const noexcept
| Returns true if both the names and positions of these two markers match.
bool | operator!= (const Marker &) const noexcept
| Returns true if either the name or position of these two markers differ.

## Public Attributes

String | name
| The marker's name.
RelativeCoordinate | position
| The marker's position.

## Constructors and Destructors

## Marker() [1/2]

juce::MarkerList::Marker::Marker | ( | const Marker & |  | ) |

Creates a copy of another Marker.

References Marker().

Referenced by Marker(), operator!=(), and operator==().

## Marker() [2/2]

juce::MarkerList::Marker::Marker | ( | const String & | name,
|  | const RelativeCoordinate & | position )

Creates a Marker with a given name and position.

References name, and position.

## Member Functions

## operator==()

bool juce::MarkerList::Marker::operator== | ( | const Marker & |  | ) | const

noexcept

Returns true if both the names and positions of these two markers match.

References Marker().

## operator!=()

bool juce::MarkerList::Marker::operator!= | ( | const Marker & |  | ) | const

noexcept

Returns true if either the name or position of these two markers differ.

References Marker().

## Member Data Documentation

## name

String juce::MarkerList::Marker::name

The marker's name.

Referenced by Marker().

## position

RelativeCoordinate juce::MarkerList::Marker::position

The marker's position.

The expression used to define the coordinate may use the names of other markers, so that markers can be linked in arbitrary ways, but be careful not to create recursive loops of markers whose positions are based on each other! It can also refer to "parent.right" and "parent.bottom" so that you can set markers which are relative to the size of the component that contains them.

To resolve the coordinate, you can use the MarkerList::getMarkerPosition() method.

Referenced by Marker().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited